sub aquariusputtile(txpos as ubyte,typos as ubyte,txsiz as ubyte, tysiz as ubyte, tadr as uinteger):
  dim txlp as ubyte at $3901:dim tylp as ubyte at $3902
  for tylp=0 to tysiz-1
    for txlp=0 to txsiz-1
      poke $3000+(typos+tylp)*40+(txpos+txlp),peek(tadr+(tylp*txsiz)+txlp)
      poke $3400+(typos+tylp)*40+(txpos+txlp),peek(tadr+(txsiz*tysiz)+(tylp*txsiz)+txlp)
      next:next
  end sub
